%define base_name apt-conf
%define distro school-server
%define Distro "School Server"

Name: %base_name-%distro
Version: 4.1
Release: alt0.M41.1

Summary: A set of apt configuration files for %distribution %Distro
License: GPL
Group: System/Configuration/Packaging
Packager: Andrey Cherepanov <cas@altlinux.ru>

Source: %name-%version.tar

Provides: %base_name = %version-%release, %_sysconfdir/apt/pkgpriorities
PreReq: coreutils
Conflicts: apt <= 0:0.5.15cnc6-alt14
%{expand:%%global o_list apt-conf < 0:4.1 %(for n in Castle Compact Junior Master Spring desktop junior master server sisyphus terminal; do echo -n "apt-conf-$n "; done)}
%{?o_list:Conflicts: %o_list}

%description
This package contains default apt configuration for %distribution %Distro.

%prep
%setup -q

%build
subst -p "s/@arch@/$RPM_ARCH/g" sources.list.d/*.list

%install
mkdir -p %buildroot%_sysconfdir/apt/{sources,vendors}.list.d
install -pm644 pkgpriorities *.list %buildroot%_sysconfdir/apt/
install -pm644 sources.list.d/* %buildroot%_sysconfdir/apt/sources.list.d/
install -pm644 vendors.list.d/* %buildroot%_sysconfdir/apt/vendors.list.d/

%triggerpostun -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/apt

%changelog
* Fri Dec 26 2008 Andrey Cherepanov <cas@altlinux.org> 4.1-alt0.M41.1
- Initial import
